Subject: SUMMARY: Using Ghostscript with netatalk and Macintoshes

From: [email-masked] (Mark Holm)
Date: Thu, 8 Oct 92 16:38:46 PDT

A while back I wrote:

> I downloaded Ghostscript V2.5, configured and loaded it onto my Sun to run
> a HP Paintjet that was just sitting there, and Viola! Instant Color
> Postscript printer. Good Stuff! Unfortunatly the Macintosh users noticed
> and now they want to use it also. So I went out and got netatalk Version
> 2.1.1. After configuring it I had something that showed up on the Mac's. I
> downloaded macps version 23 and fixed up the procset ... and tried to
> spool a job from the Mac. Job was accepted by the sun, placed in the spool
> directory, ... and disappeared from the face of the earth. I stoped the
> spooler and grabbed the data file. Both with and without the leading
> procset (applied via macps) gs produces the following error:
> 
> > Initializing... done.
> > Loading Times-Roman font from /usr/local/lib/ghostscript/fonts/ptmr.gsf...
> > 686416 669172 1 done.
> > Loading Courier font from /usr/local/lib/ghostscript/fonts/ncrr.gsf...
> > 746416 725458 1 done.
> > Loading Helvetica font from /usr/local/lib/ghostscript/fonts/phvr.gsf...
> > 766416 764096 1 done.
> > %%[|0|]%%Error: /invalidfont in -dicttype-
> > Operand stack:
> >     272  14.9998  0  0  0  1  0  0  0  0  1  1  null  null  0  0  0  1  0
> > 0  1  0  0  1  0  0  1  0  0  1.09596  0  -0  1.09596  32.8787  32.9746
> > /Helvetica  -dicttype-  /Helvetica
> > Execution stack:
> >     %interp_exit    --nostringval--  --nostringval--  false
> > --nostringval--  --nostringval--  false  --nostringval--  --nostringval--
> > --nostringval--  false  --nostringval--  --nostringval--  --nostringval--
> > --nostringval--  --nostringval--
> > Dictionary stack:
> >     461/479  14/200  238/270  11/25  461/479  12/12
> > Ghostscript 2.5 (8/18/92)
> >   Copyright (C) 1990, 1992 Aladdin Enterprises, Menlo Park, CA.
> >   All rights reserved.
> > Distributed by Free Software Foundation, Inc.
> > Ghostscript comes with NO WARRANTY: see the file LICENSE for details.
> > GS<38>
> 
> What am I doing wrong and has anybody else set up something similar? Any
> pointers that anybody can give me on getting this going would be greatly
> appreciated.
> 

My answer came back out of the ghostscript group who noted that the first
version of ghostscript to support truetype fonts was version 2.5.1 (note! I
had 2.5). Out to the netagain and downloaded a copy of ghostscript 2.5.2
and this fixed all my problems. I now have a cheap color postscript printer
available for next to nothing.

Thanks for the responses from:

[email-masked]

And in case I didn't say it before, keep up the good work. This stuff is
great!

===========================================================================
Mark Holm                                           [email-masked]  -or-
Analogy                                           ..sun!nosun!analogy!markh
P.O. Box 1669                                           Phone (503)626-9700
Beaverton, Oregon 97075-1669				Fax   (503)643-3361